Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 625902 - [Xen] backport NMI injection for HVM guests
[Xen] backport NMI injection for HVM guests
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.5
All Linux
high Severity high
: rc
: ---
Assigned To: Paolo Bonzini
Virtualization Bugs
:
Depends On:
Blocks: 514489 624598
  Show dependency treegraph
 
Reported: 2010-08-20 14:28 EDT by Paolo Bonzini
Modified: 2011-01-13 16:12 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 624598
Environment:
Last Closed: 2011-01-13 16:12:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch series to fix the bug (45.81 KB, patch)
2010-08-30 12:52 EDT, Paolo Bonzini
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 05:37:42 EST

  None (edit)
Description Paolo Bonzini 2010-08-20 14:28:01 EDT
Windows likes to send NMI IPIs, but Xen's implementation of the IOAPIC and LAPIC do not know how to handle this.
Comment 1 RHEL Product and Program Management 2010-08-27 11:29:39 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Paolo Bonzini 2010-08-30 12:52:38 EDT
Created attachment 441985 [details]
patch series to fix the bug
Comment 7 Jarod Wilson 2010-09-17 10:03:03 EDT
in kernel-2.6.18-222.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 9 Qixiang Wan 2010-12-23 04:39:16 EST
tested with host kernel-xen-2.6.18-238.el5, guest kernel-2.6.18-194.el5,
get the following message in guest console after issue 'xm trigger $dom_id nmi' from host:
Uhhuh. NMI received for unknown reason 31 on CPU 0.
Do you have a strange power saving mode enabled?
Dazed and confused, but trying to continue

Message from syslogd@ at Thu Dec 23 17:33:18 2010 ...
tikanga32h kernel: Uhhuh. NMI received for unknown reason 31 on CPU 0.

Message from syslogd@ at Thu Dec 23 17:33:18 2010 ...
tikanga32h kernel: Do you have a strange power saving mode enabled?

Message from syslogd@ at Thu Dec 23 17:33:18 2010 ...
tikanga32h kernel: Dazed and confused, but trying to continue

so the patch is working, change bug to VERIFIED.
Comment 11 errata-xmlrpc 2011-01-13 16:12:24 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html

Note You need to log in before you can comment on or make changes to this bug.